# org.pdfclown.documents.interaction.annotations.Screen Class Reference

Screen annotation [PDF:1.6:8.4.5]. More...

Inheritance diagram for org.pdfclown.documents.interaction.annotations.Screen:

List of all members.

## Public Types
enum | FlagsEnum { Invisible = 0x1, Hidden = 0x2, Print = 0x4, NoZoom = 0x8, NoRotate = 0x10, NoView = 0x20, ReadOnly = 0x40, Locked = 0x80, ToggleNoView = 0x100 }
| Field flags [PDF:1.6:8.4.2]. More...
## Public Member Functions
virtual object | Clone (Document context)
| Gets a clone of the object, registered inside the given document context.
override bool | Delete ()
| Deletes this annotation removing also its reference on the page.
override bool | Equals (object obj)
override int | GetHashCode ()
| Screen (Page page, drawing::RectangleF box, String text, Rendition rendition)
| Screen (Page page, drawing::RectangleF box, String text, String mediaPath, String mimeType)
## Static Public Member Functions
static PdfDirectObject | GetBaseObject (PdfObjectWrapper wrapper)
| Gets the PDF object backing the specified wrapper.
static Annotation | Wrap (PdfDirectObject baseObject)
| Wraps an annotation base object into an annotation object.
## Protected Member Functions
void | CheckCompatibility (object feature)
| Checks whether the specified feature is compatible with the document's conformance version.
virtual PdfString | RetrieveName ()
| Retrieves the name possibly associated to this object, walking through the document's name dictionary.
PdfDirectObject | RetrieveNamedBaseObject ()
| Retrieves the object name, if available; otherwise, behaves like PdfObjectWrapper.BaseObject.
## Properties
virtual actions.Action | Action`[get, set]`
| Gets/Sets action to be performed when the annotation is activated.
virtual AnnotationActions | Actions`[get, set]`
| Gets/Sets the annotation's behavior in response to various trigger events.
Appearance | Appearance`[get, set]`
| Gets/Sets the appearance specifying how the annotation is presented visually on the page.
virtual PdfDirectObject | BaseObject`[get, set]`
Border | Border`[get, set]`
| Gets/Sets the border style.
RectangleF | Box`[get, set]`
| Gets/Sets the location of the annotation on the page in default user space units.
DeviceColor | Color`[get, set]`
| Gets/Sets the annotation color.
PdfIndirectObject | Container`[get]`
| Gets the indirect object containing the base object.
PdfIndirectObject | DataContainer`[get]`
| Gets the indirect object containing the base data object.
Document | Document`[get]`
| Gets the document context.
File | File`[get]`
| Gets the file context.
FlagsEnum | Flags`[get, set]`
| Gets/Sets the annotation flags.
LayerEntity | Layer`[get, set]`
| Gets/Sets the layer associated to this object.
DateTime | ModificationDate`[get, set]`
| Gets/Sets the date and time when the annotation was most recently modified.
string | Name`[get, set]`
| Gets/Sets the annotation name.
Page | Page`[get]`
| Gets/Sets the associated page.
bool | Printable`[get, set]`
| Gets/Sets whether to print the annotation when the page is printed.
string | Text`[get, set]`
| Gets/Sets the annotation text.
bool | Visible`[get, set]`
| Gets/Sets whether the annotation is visible.

##

Screen annotation [PDF:1.6:8.4.5].

It specifies a region of a page upon which media clips may be played.

## Member Enumeration Documentation

enum org::pdfclown::documents::interaction::annotations::Annotation::FlagsEnum`[inherited]`

Field flags [PDF:1.6:8.4.2].

Enumerator:

  Invisible | Hide the annotation, both on screen and on print, if it does not belong to one of the standard annotation types and no annotation handler is available.
  Hidden | Hide the annotation, both on screen and on print (regardless of its annotation type or whether an annotation handler is available).
  Print | Print the annotation when the page is printed.
  NoZoom | Do not scale the annotation's appearance to match the magnification of the page.
  NoRotate | Do not rotate the annotation's appearance to match the rotation of the page.
  NoView | Hide the annotation on the screen.
  ReadOnly | Do not allow the annotation to interact with the user.
  Locked | Do not allow the annotation to be deleted or its properties to be modified by the user.
  ToggleNoView | Invert the interpretation of the NoView flag.

## Constructor & Destructor Documentation

org.pdfclown.documents.interaction.annotations.Screen.Screen | ( | Page | page,
|  | drawing::RectangleF | box,
|  | String | text,
|  | String | mediaPath,
|  | String | mimeType |
| ) |  |  |

org.pdfclown.documents.interaction.annotations.Screen.Screen | ( | Page | page,
|  | drawing::RectangleF | box,
|  | String | text,
|  | Rendition | rendition |
| ) |  |  |

References org.pdfclown.objects.PdfObjectWrapper.BaseObject, and org.pdfclown.documents.interaction.actions.Render.Script.

## Member Function Documentation

void org.pdfclown.objects.PdfObjectWrapper.CheckCompatibility | ( | object | feature | ) | `[protected, inherited]`

Checks whether the specified feature is compatible with the document's conformance version.

Parameters:

  | feature | Entity whose compatibility has to be checked. Supported types: VersionEnum Property name resolvable to an annotated getter method MemberInfo

virtual object org.pdfclown.objects.PdfObjectWrapper.Clone | ( | Document | context | ) | `[virtual, inherited]`

Gets a clone of the object, registered inside the given document context.

Parameters:

  | context | Which document the clone has to be registered in.

override bool org.pdfclown.documents.interaction.annotations.Annotation.Delete | ( |  | ) | `[virtual, inherited]`

Deletes this annotation removing also its reference on the page.

Reimplemented from org.pdfclown.objects.PdfObjectWrapper< PdfDictionary >.

override bool org.pdfclown.objects.PdfObjectWrapper.Equals | ( | object | obj | ) | `[inherited]`

Reimplemented in org.pdfclown.documents.contents.fonts.Font.

static PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.GetBaseObject | ( | PdfObjectWrapper< PdfDictionary > | wrapper | ) | `[static, inherited]`

Gets the PDF object backing the specified wrapper.

Parameters:

  | wrapper | Object to extract the base from.

override int org.pdfclown.objects.PdfObjectWrapper.GetHashCode | ( |  | ) | `[inherited]`

Reimplemented in org.pdfclown.documents.contents.fonts.Font.

virtual PdfString org.pdfclown.objects.PdfObjectWrapper.RetrieveName | ( |  | ) | `[protected, virtual, inherited]`

Retrieves the name possibly associated to this object, walking through the document's name dictionary.

Reimplemented in org.pdfclown.documents.multimedia.Rendition.

PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.RetrieveNamedBaseObject | ( |  | ) | `[protected, inherited]`

Retrieves the object name, if available; otherwise, behaves like PdfObjectWrapper.BaseObject.

static Annotation org.pdfclown.documents.interaction.annotations.Annotation.Wrap | ( | PdfDirectObject | baseObject | ) | `[static, inherited]`

Wraps an annotation base object into an annotation object.

Parameters:

  | baseObject | Annotation base object.

Returns:
  Annotation object associated to the base object.

References org.pdfclown.objects.PdfObject.Resolve().

## Property Documentation

virtual actions.Action org.pdfclown.documents.interaction.annotations.Annotation.Action`[get, set, inherited]`

Gets/Sets action to be performed when the annotation is activated.

Reimplemented in org.pdfclown.documents.interaction.annotations.Link.

virtual AnnotationActions org.pdfclown.documents.interaction.annotations.Annotation.Actions`[get, set, inherited]`

Gets/Sets the annotation's behavior in response to various trigger events.

Reimplemented in org.pdfclown.documents.interaction.annotations.Widget.

Appearance org.pdfclown.documents.interaction.annotations.Annotation.Appearance`[get, set, inherited]`

Gets/Sets the appearance specifying how the annotation is presented visually on the page.

virtual PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.BaseObject`[get, set, inherited]`

Gets the underlying reference object, if available; otherwise, gets the underlying data object.

Border org.pdfclown.documents.interaction.annotations.Annotation.Border`[get, set, inherited]`

Gets/Sets the border style.

RectangleF org.pdfclown.documents.interaction.annotations.Annotation.Box`[get, set, inherited]`

Gets/Sets the location of the annotation on the page in default user space units.

DeviceColor org.pdfclown.documents.interaction.annotations.Annotation.Color`[get, set, inherited]`

Gets/Sets the annotation color.

PdfIndirectObject org.pdfclown.objects.PdfObjectWrapper.Container`[get, inherited]`

Gets the indirect object containing the base object.

PdfIndirectObject org.pdfclown.objects.PdfObjectWrapper.DataContainer`[get, inherited]`

Gets the indirect object containing the base data object.

Document org.pdfclown.objects.PdfObjectWrapper.Document`[get, inherited]`

Gets the document context.

File org.pdfclown.objects.PdfObjectWrapper.File`[get, inherited]`

Gets the file context.

FlagsEnum org.pdfclown.documents.interaction.annotations.Annotation.Flags`[get, set, inherited]`

Gets/Sets the annotation flags.

LayerEntity org.pdfclown.documents.interaction.annotations.Annotation.Layer`[get, set, inherited]`

Gets/Sets the layer associated to this object.

Implements org.pdfclown.documents.contents.layers.ILayerable.

DateTime org.pdfclown.documents.interaction.annotations.Annotation.ModificationDate`[get, set, inherited]`

Gets/Sets the date and time when the annotation was most recently modified.

string org.pdfclown.documents.interaction.annotations.Annotation.Name`[get, set, inherited]`

Gets/Sets the annotation name.

The annotation name uniquely identifies the annotation among all the annotations on its page.

Page org.pdfclown.documents.interaction.annotations.Annotation.Page`[get, inherited]`

Gets/Sets the associated page.

bool org.pdfclown.documents.interaction.annotations.Annotation.Printable`[get, set, inherited]`

Gets/Sets whether to print the annotation when the page is printed.

string org.pdfclown.documents.interaction.annotations.Annotation.Text`[get, set, inherited]`

Gets/Sets the annotation text.

Depending on the annotation type, the text may be either directly displayed or (in case of non-textual annotations) used as alternate description.

bool org.pdfclown.documents.interaction.annotations.Annotation.Visible`[get, set, inherited]`

Gets/Sets whether the annotation is visible.

Copyright 2006-2013 Stefano Chizzolini. For more information, please visit PDF Clown home page.